=== debian/changelog ===
pique (1.0-7) unstable; urgency=medium

  [ Komolehin Israel Timilehin ]
  * Team upload
  * Added patch to fix smartpca command
  * Added autopkgtest (Closes: #986194)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Tue, 12 Dec 2023 16:57:46 +0000

pique (1.0-6) unstable; urgency=medium

  * Team upload.
  * d/control: fix probable typo in package dependency.
  * d/copyright: bump copyright year.

 -- Étienne Mollier <emollier@debian.org>  Sat, 07 Jan 2023 14:32:12 +0100

pique (1.0-5) unstable; urgency=medium

  * Build-Depends: r-bioc-multtest (as per user request)

 -- Andreas Tille <tille@debian.org>  Sun, 04 Dec 2022 06:28:17 +0100

pique (1.0-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Nov 2022 17:22:30 +0100

pique (1.0-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + pique-doc: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Mon, 18 Oct 2021 13:36:42 +0200

pique (1.0-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2020 14:44:32 +0200

pique (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #965366)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jul 2020 23:05:27 +0200
