=== debian/control ===
Source: pique
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/pique
Vcs-Git: https://salsa.debian.org/med-team/pique.git
Homepage: https://github.com/tony-travis/PIQUE/
Rules-Requires-Root: no

Package: pique
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends},
         r-base-core,
         emmax,
         plink,
         eigensoft,
         libreadonly-perl,
         libparallel-forkmanager-perl,
         libfile-slurp-perl,
         r-cran-getopt,
         r-cran-forecast,
         r-bioc-multtest,
         r-cran-optparse,
         r-cran-uroot
Description: software pipeline for performing genome wide association studies
 PIQUE is a software pipeline for performing genome wide association
 studies (GWAS). The main function of PIQUE is to provide ‘convenience’
 wrappers that allow users to perform GWAS using the popular program
 EMMAX (Kang et al., 2010) without the need to be familiar with all of
 the software tools used to generate the required EMMAX input files.
 PIQUE will also perform a number of quality control steps prior to
 running EMMAX, ensuring that the various input data files are in the
 correct format. PIQUE proceeds in two main stages although there are
 multiple entry and exit points from which the pipeline can be run. The
 first stage consists of running the “pique-input” program, which can
 read genotype and phenotype information in several different formats and
 generates all the necessary input files required to run EMMAX. The
 second step in the pipeline uses the “pique-run” program to actually run
 EMMAX using the files generated by “pique-input” (or pre-existing
 user-supplied input files) to perform the GWAS and output the analysis
 summary files.

Package: pique-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: pique
Multi-Arch: foreign
Description: software pipeline for performing genome wide association studies (docs)
 PIQUE is a software pipeline for performing genome wide association
 studies (GWAS). The main function of PIQUE is to provide ‘convenience’
 wrappers that allow users to perform GWAS using the popular program
 EMMAX (Kang et al., 2010) without the need to be familiar with all of
 the software tools used to generate the required EMMAX input files.
 PIQUE will also perform a number of quality control steps prior to
 running EMMAX, ensuring that the various input data files are in the
 correct format. PIQUE proceeds in two main stages although there are
 multiple entry and exit points from which the pipeline can be run. The
 first stage consists of running the “pique-input” program, which can
 read genotype and phenotype information in several different formats and
 generates all the necessary input files required to run EMMAX. The
 second step in the pipeline uses the “pique-run” program to actually run
 EMMAX using the files generated by “pique-input” (or pre-existing
 user-supplied input files) to perform the GWAS and output the analysis
 summary files.
 .
 This package contains the documentation as well as example data.
