=== debian/tests/control ===
Tests: run-unit-test
Depends: @, wget, r-cran-hmisc
Restrictions: allow-stderr, needs-internet
