## pique 1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#@(#)Makefile  2017-01-13  A.J.Travis and A.Douglas
+#@(#)Makefile  2021-05-22  A.J.Travis and A.Douglas
 
 #
 # pique: parallel identification of QTL's using EMMAX
@@ -9,9 +9,9 @@
 # installation directory
 DIR = /usr/local/pique
 
-EMMAX = /usr/local/bin/emmax
+EMMAX = /usr/bin/emmax
 PLINK = /usr/bin/p-link
-EIGENSTRAT = /usr/local/EIGENSOFT/bin/eigenstrat
+EIGENSTRAT = /usr/lib/eigensoft/smartpca
 R = /usr/bin/R
 FORECAST = /usr/lib/R/site-library/forecast
 PARALLEL = /usr/share/perl5/Parallel
@@ -37,9 +37,8 @@
 #pique-run: bin/pique-run
 
 # install "EMMAX"
-$(EMMAX): emmax-beta-07Mar2010.tar.gz
-	tar xvf $<
-	install -C -o root -g root emmax-beta-07Mar2010/emmax* /usr/local/bin/
+$(EMMAX):
+	apt install emmax
 
 emmax-beta-07Mar2010.tar.gz:
 	wget http://genetics.cs.ucla.edu/emmax/$@
@@ -52,13 +51,15 @@
 	wget https://www.cog-genomics.org/static/bin/plink161202/$@
 
 # install "EIGENSOFT"
-$(EIGENSTRAT): EIG5.0.2.tar.gz
-	tar xvf $<
-	install -d /usr/local/EIGENSOFT/bin
-	install -C -o root -g root EIG5.0.2/bin/* /usr/local/EIGENSOFT/bin
-
-EIG5.0.2.tar.gz:
-	wget http://cdn1.sph.harvard.edu/wp-content/uploads/sites/181/2014/05/$@
+#$(EIGENSTRAT): EIG5.0.2.tar.gz
+#	tar xvf $<
+#	install -d /usr/local/EIGENSOFT/bin
+#	install -C -o root -g root EIG5.0.2/bin/* /usr/local/EIGENSOFT/bin
+#
+#EIG5.0.2.tar.gz:
+#	wget http://cdn1.sph.harvard.edu/wp-content/uploads/sites/181/2014/05/$@
+$(EIGENSTRAT):
+	apt install eigensoft
 
 # install R
 $(R):
