=== debian/changelog ===
pique (1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1  (Closes: #1104275)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: pique depends on plink1.9.
  * d/t/run-unit-test: explicitly make all tests.
  * smartpca_fix.diff: delete: upstream modified the affected logic.
  * adjust-GWAS_manhattanplots.patch: new: fix R script invocation.
  * d/copyright: comment about the test data set.

 -- Étienne Mollier <emollier@debian.org>  Thu, 01 May 2025 09:32:27 +0200
