=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/pique
 Vcs-Git: https://salsa.debian.org/med-team/pique.git
 Homepage: https://github.com/tony-travis/PIQUE/
@@ -16,7 +16,7 @@
          ${misc:Depends},
          r-base-core,
          emmax,
-         plink,
+         plink1.9,
          eigensoft,
          libreadonly-perl,
          libparallel-forkmanager-perl,
