=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# for hardening you might like to uncomment this:
# export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	echo "Nothing to build.  Upstream Makefile just fetches and installs dependencies"

override_dh_auto_install:
	echo "Nothing to install.  Upstream Makefile just fetches and installs dependencies"

### When overriding auto_test make sure DEB_BUILD_OPTIONS will be respected
#override_dh_auto_test:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	do_stuff_for_testing
#endif

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.R" -exec chmod -x \{\} \;
